Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3MergeEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultMergeEventListener
                  org.hibernate.ejb.event.EJB3MergeEventListener

All Implemented Interfaces:
  java.io.Serializable, CallbackHandlerConsumer, org.hibernate.event.MergeEventListener

    public class EJB3MergeEventListener

extends org.hibernate.event.def.DefaultMergeEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PrePersist operation

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`EJB3MergeEventListener()`
`EJB3MergeEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected java.io.Serializable` | `saveWithGeneratedId(java.lang.Object entity, java.lang.String entityName, java.lang.Object anything, org.hibernate.event.EventSource source, boolean requiresImmediateIdAccess)`
`protected java.io.Serializable` | `saveWithRequestedId(java.lang.Object entity, java.io.Serializable requestedId, java.lang.String entityName, java.lang.Object anything, org.hibernate.event.EventSource source)`
`void` | `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.def.DefaultMergeEventListener
`cascadeAfterSave, cascadeBeforeSave, cascadeOnMerge, copyValues, copyValues, entityIsDetached, entityIsPersistent, entityIsTransient, getAssumedUnsaved, getCascadeAction, getMergeMap, onMerge, onMerge`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`getEntityState, getLoggableName, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3MergeEventListener

    public EJB3MergeEventListener()

### EJB3MergeEventListener

    public EJB3MergeEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### saveWithRequestedId

    protected java.io.Serializable saveWithRequestedId(java.lang.Object entity,
                                                       java.io.Serializable requestedId,
                                                       java.lang.String entityName,
                                                       java.lang.Object anything,
                                                       org.hibernate.event.EventSource source)

  Overrides:
    `saveWithRequestedId` in class `org.hibernate.event.def.AbstractSaveEventListener`

### saveWithGeneratedId

    protected java.io.Serializable saveWithGeneratedId(java.lang.Object entity,
                                                       java.lang.String entityName,
                                                       java.lang.Object anything,
                                                       org.hibernate.event.EventSource source,
                                                       boolean requiresImmediateIdAccess)

  Overrides:
    `saveWithGeneratedId` in class `org.hibernate.event.def.AbstractSaveEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD